Subject: Re: [rtcweb] I-D Action: draft-ietf-rtcweb-rtp-usage-05.txt

From: Colin Perkins <[email-masked]>
Date: Fri, 2 Nov 2012 15:57:55 +0000

On 22 Oct 2012, at 22:32, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Real-Time Communication in WEB-browsers Working Group of the IETF.
> 
> 	Title           : Web Real-Time Communication (WebRTC): Media Transport and Use of RTP
> 	Author(s)       : Colin Perkins
>                          Magnus Westerlund
>                          Joerg Ott
> 	Filename        : draft-ietf-rtcweb-rtp-usage-05.txt
> 	Pages           : 61
> 	Date            : 2012-10-22
> 
> Abstract:
>   The Web Real-Time Communication (WebRTC) framework provides support
>   for direct interactive rich communication using audio, video, text,
>   collaboration, games, etc. between two peers' web-browsers.  This
>   memo describes the media transport aspects of the WebRTC framework.
>   It specifies how the Real-time Transport Protocol (RTP) is used in
>   the WebRTC context, and gives requirements for which RTP features,
>   profiles, and extensions need to be supported.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-rtcweb-rtp-usage
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-rtcweb-rtp-usage-05
> 
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-rtcweb-rtp-usage-05

The diff from the previous version of this draft is messy because of a spell-check and lots of editorial fixes. The main changes are:

- Use RFC 2119 terminology by reference, rather than by copying the definitions.

- In Section 4.2 on the Choice of RTP Profile, note that the RTP/SAVPF profile with the updated list of recommended codecs is mandated, not the standard RTP/SAVPF profile. Update Section 4.3 on the Choice of RTP Payload Formats to match.

- In Section 4.6, clarify that the use of non-compound RTCP packets MUST be negotiated on the signalling channel before use, and that implementations are REQUIRED to support compound RTCP feedback packets if the remote endpoint does not agree to use non-compound RTCP packets.

- In Section 4.9, remove the reference to RFC 6222 and instead reference the RFC 622bis draft.

- Update references to RFC 5117 to joint to the RTP Topologies update draft.

- In Section 5.1.1, clarify that a WebRTC sender is REQUIRED to understand and react to FIR messages it receives, but that sending FIR messages is OPTIONAL.

- Rewrite Section 7 on rate control and media adaptation for clarity. Merge the previous Sections 7.1 and 7.2 into a single new section, and try to better explain the relationship between the RTP circuit breakers, the signalled SDP bandwidth limitations, and any RTP/AVPF TMMBR messages.

- Add Section 13 on Open Issues.

- Revise and expand Section 15 on Security Considerations.

It doesn't look like this draft is on the agenda for RTCWeb in Atlanta, but we're happy to receive feedback on the list.

-- 
Colin Perkins
http://csperkins.org/